Full name: projects.locations.instances.caseTagDefinitions.create
Creates a new CaseTagDefinition. Use this method to define new automated classification rules for cases. Combinations of display name, property, value, and criteria must be unique.
HTTP request
POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/caseTagDefinitions Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this CaseTagDefinition will be created. Format: projects/{project}/locations/{location}/instances/{instance}/caseTagDefinitions |
Request body
The request body contains an instance of CaseTagDefinition.
Response body
If successful, the response body contains a newly created instance of CaseTagDefinition.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseTagDefinitions.update
For more information, see the IAM documentation.